phpQuery

# Class: DOMEvent

Source Location: /DOMEvent.php

### Class Overview

DOMEvent class.

#### Author(s):

- Tobiasz Cudnik <tobiasz.cudnik/gmail.com>

### Variables

- $bubbles
- $cancelable
- $currentTarget
- $data
- $detail
- $eventPhase
- $explicitOriginalTarget
- $originalTarget
- $relatedTarget
- $runDefault
- $target
- $timeStamp
- $type

### Methods

- __construct
- preventDefault
- stopPropagation

### Class Details

[line 11]
DOMEvent class.

Based on

#### Tags:

author: | Tobiasz Cudnik <tobiasz.cudnik/gmail.com>
link: | http://developer.mozilla.org/En/DOM:event
todo: | implement ArrayAccess ?

[ Top ]

### Class Variables

#### $bubbles = true

[line 17]

Returns a boolean indicating whether the event bubbles up through the DOM or not.

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $cancelable = true

[line 23]

Returns a boolean indicating whether the event is cancelable.

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $currentTarget =

[line 29]

Returns a reference to the currently registered target for the event.

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $data = null

[line 85]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $detail =

[line 36]

Returns detail about the event, depending on the type of event.

#### Tags:

link: | http://developer.mozilla.org/en/DOM/event.detail
access: | public

Type: | unknown_type

[ Top ]

#### $eventPhase =

[line 45]

Used to indicate which phase of the event flow is currently being evaluated.

NOT IMPLEMENTED

#### Tags:

link: | http://developer.mozilla.org/en/DOM/event.eventPhase
access: | public

Type: | unknown_type

[ Top ]

#### $explicitOriginalTarget =

[line 53]

The explicit original target of the event (Mozilla-specific).

NOT IMPLEMENTED

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $originalTarget =

[line 61]

The original target of the event, before any retargetings (Mozilla-specific).

NOT IMPLEMENTED

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $relatedTarget =

[line 67]

Identifies a secondary target for the event.

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $runDefault = true

[line 84]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $target =

[line 73]

Returns a reference to the target to which the event was originally dispatched.

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $timeStamp =

[line 79]

Returns the time that the event was created.

#### Tags:

access: | public

Type: | unknown_type

[ Top ]

#### $type =

[line 83]

Returns the name of the event (case-insensitive).

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 86]

`DOMEvent __construct( $data)`

#### Tags:

access: | public

#### Parameters:

| $data |

[ Top ]

### method preventDefault [line 97]

`void preventDefault( )`

Cancels the event (if it is cancelable).

#### Tags:

access: | public

[ Top ]

### method stopPropagation [line 104]

`void stopPropagation( )`

Stops the propagation of events further along in the DOM.

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 18 Nov 2008 19:39:25 +0100 by phpDocumentor 1.4.2